1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Не установливает не какие покеты.

Discussion in 'Russian' started by UmBr@, Mar 16, 2013.

  1. UmBr@

    UmBr@ New Member

    Joined:
    Mar 15, 2013
    Messages:
    3
    Likes Received:
    0
    Здравствуйте, установил я Kali Linux все нормалбно работает, но не как не могу установить не какой покет через терминал не катит и deb тоже не идёт, выдаёт такую ошибку:
    GDBus.Error:eek:rg.gtk.GDBus.UnmappedGError.Quark._pk_5ftransaction_5ferror.Code4: SimulateInstallFiles not supported by backe

    Что можете сказать мо этому поводу ?

     
    #1
  2. UmBr@

    UmBr@ New Member

    Joined:
    Mar 15, 2013
    Messages:
    3
    Likes Received:
    0
    Вот так вот к примеру могу установить sudo dpkg -i /path/to/file/downloadeddebfile.deb но например когда я так ставлю Google Chrome то у меня после запуска его вылетает окошко там пишется что нельзя запускать его от суперпользователя.
     
    #2
  3. skiff

    skiff New Member

    Joined:
    Mar 11, 2013
    Messages:
    14
    Likes Received:
    3
    а он по умолчанию от рута не пускается его нужно допиливать не помню какая ссылка в гугл
     
    #3
  4. skiff

    skiff New Member

    Joined:
    Mar 11, 2013
    Messages:
    14
    Likes Received:
    3
    тем более он вобще то снайпшот так что наверно сделай сначала update
     
    #4
    UmBr@ likes this.
  5. aka_maxi

    aka_maxi New Member

    Joined:
    Mar 15, 2013
    Messages:
    3
    Likes Received:
    1
    Тут свой репозиторий. Мне, например, нужно было срочно скачать опеноффис, в результате чего я просто подключил сторонние репозитории Debian (ведь на его основе kali собран). Чтобы это сделать нужно в /etc/apt/sources.list прописать:

    ## STABLE | Стабильный дистрибутив SQUEEZE
    #deb ftp://ftp.ru.debian.org/debian/ stable main contrib non-free
    # deb-src ftp://ftp.ru.debian.org/debian/ stable main contrib non-free
    # deb http://debian.nsu.ru/debian/ stable main contrib non-free
    # deb-src http://debian.nsu.ru/debian/ stable main contrib non-free
    #deb http://ftp.corbina.net/debian/ stable main contrib non-free
    # deb-src http://ftp.corbina.net/debian/ stable main contrib non-free
    # deb http://ftp.debian.chuvsu.ru/debian/ stable main contrib non-free
    # deb-src http://ftp.debian.chuvsu.ru/debian/ stable main contrib non-free
    # deb http://ftp.psn.ru/debian/ stable main contrib non-free
    # deb-src http://ftp.psn.ru/debian/ stable main contrib non-free
    # deb http://mirror2.corbina.ru/debian/ stable main contrib non-free
    # deb-src http://mirror2.corbina.ru/debian/ stable main contrib non-free
    # deb http://mirror.svk.su/debian/ stable main contrib non-free
    # deb-src http://mirror.svk.su/debian/ stable main contrib non-free
    # deb http://mirror.yandex.ru/debian/ stable main contrib non-free
    # deb-src http://mirror.yandex.ru/debian/ stable main contrib non-free

    После чего сохранить и в терминале набрать: apt-get update
    Если из-за этого (как у меня) слетит мозилла, то банально установи её apt-get install mozilla 2*[tab] и смотри что предложит (или ищи вместо mozilla firefox). инфа с http://linuxforum.ru/viewtopic.php?id=43 (смотри там список всех остальных репозиториев).
     
    #5
  6. mallet

    mallet New Member

    Joined:
    Mar 27, 2013
    Messages:
    1
    Likes Received:
    0
    что в терминале пишет ???(была такая проблема при установки скаипа и тимвивера, оказалось что просто не хватало несколько пакетов... когда через консоль ставишь там обычно зависимость пишет , какого пакета не хватает)
     
    #6
  7. bokepfr

    bokepfr Member

    Joined:
    Mar 14, 2018
    Messages:
    128
    Likes Received:
    0

Share This Page